NumericUtils.LongRangeBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.NumericUtils.LongRangeBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util
Class NumericUtils.LongRangeBuilder

    java.lang.Object
      org.apache.lucene.util.NumericUtils.LongRangeBuilder

Enclosing class:
  NumericUtils

    public abstract static class NumericUtils.LongRangeBuilder

extends Object

Expert: Callback for `NumericUtils.splitLongRange(org.apache.lucene.util.NumericUtils.LongRangeBuilder, int, long, long)`. You need to overwrite only one of the methods.

NOTE: This is a very low-level interface, the method signatures may change in later versions.

Constructor Summary
`NumericUtils.LongRangeBuilder()`

Method Summary
`void` | `addRange(long min, long max, int shift)` Overwrite this method, if you like to receive the raw long range bounds.
`void` | `addRange(String minPrefixCoded, String maxPrefixCoded)` Overwrite this method, if you like to receive the already prefix encoded range bounds.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericUtils.LongRangeBuilder

    public NumericUtils.LongRangeBuilder()

Method Detail

### addRange

    public void addRange(String minPrefixCoded,
                         String maxPrefixCoded)

  Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical (inclusive) range queries from them.

### addRange

    public void addRange(long min,
                         long max,
                         int shift)

  Overwrite this method, if you like to receive the raw long range bounds. You can use this for e.g. debugging purposes (print out range bounds).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD